//=====================NORMALGOTHIC=========================================================
textures/sfx/bouncepad01_metalbridge06b
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

//=====================SNOWY=========================================================
textures/fusion/snow_floor1
{
	qer_editorimage textures/fusion/snow_floor1.tga
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/fusion/snow_floor1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/fusion/snow_floor2
{    
     surfaceparm	metalsteps	   
        

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/snow_floor2_glow.tga	
	q3map_surfacelight 400

	
	{
		map textures/fusion/snow_floor2.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/snow_floor2_glow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

}

textures/fusion/bounce_snow
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/icering.tga	
	q3map_surfacelight 400

	
	{
		map textures/fusion/bounce_snow.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_iceglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/icering.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

//=====================FUSIONLOGO===============================================================

textures/fusion/fusionlogo
{
	surfaceparm nodamage
	q3map_surfacelight 200
	
	qer_editorimage textures/sfx/computerpurptileb.tga
	{
		map textures/sfx/computerpurptileb.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 1 textures/sfx/compscreen/letters4.tga textures/fusion/fusion.tga 
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 0.5
	}
}

//=====================SLIMY====================================================================
//LaunchPads
textures/fusion/launchpad_diamond_green
{
	qer_editorimage textures/sfx/launchpad_diamond.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/sfx/launchpad_diamond.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/fusion/launchpad_greenglow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/fusion/greenarrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/fusion/launchpad_metalbridge04d_green
{
	qer_editorimage textures/sfx/launchpad_metalbridge04d.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/sfx/launchpad_metalbridge04d.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/fusion/launchpad_greenglow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/fusion/greenarrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}


textures/fusion/launchpad_bocks17_green
{
	qer_editorimage textures/sfx/launchpad_bocks17.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/sfx/launchpad_bocks17.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/fusion/launchpad_greenglow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/fusion/greenarrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}
textures/fusion/launchpad_bocks18d_green
{
	qer_editorimage textures/sfx/launchpad_bocks18d.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/sfx/launchpad_bocks18d.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/fusion/launchpad_greenglow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/fusion/greenarrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

//jumpPads

textures/fusion/bouncepad01_metalbridge06b_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/metalbridge06_bounce.tga
	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

textures/fusion/clangdark_bounce_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/clangdark_bounce.tga
	
	{
		map textures/sfx/clangdark_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bouncepad1q1metal7_99_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bouncepad1q1metal7_99.tga
	
	{
		map textures/sfx/bouncepad1q1metal7_99.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bouncepad01_block17_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bouncepad01_block17.tga

	
	{
		map textures/sfx/bouncepad01_block17.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bounce_xq1metalbig_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bounce_xq1metalbig.tga

	
	{
		map textures/sfx/bounce_xq1metalbig.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bounce_largeblock3_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bounce_largeblock3.tga

	
	{
		map textures/sfx/bounce_largeblock3.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bounce_dirt_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bounce_dirt.tga

	
	{
		map textures/sfx/bounce_dirt.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bounce_concrete_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bounce_concrete.tga

	
	{
		map textures/sfx/bounce_concrete.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/blocks17g_jumpad_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/blocks17g_jumpad.tga

	
	{
		map textures/sfx/blocks17g_jumpad.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/metaltech12final_bounce_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/metaltech12final_bounce.tga

	
	{
		map textures/sfx/metaltech12final_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bounce_largeblock3b_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bounce_largeblock3b.tga

	
	{
		map textures/sfx/bounce_largeblock3b.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bouncepad01_diamond2cTGA_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bouncepad01_diamond2cTGA.tga

	
	{
		map textures/sfx/bouncepad01_diamond2cTGA.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bouncepad01_xarch_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bouncepad01_xarch.tga

	
	{
		map textures/sfx/bouncepad01_xarch.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/bouncepad01block18b_green
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/fusion/greenring.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bouncepad01block18b.tga

	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/pad_greenglow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/fusion/greenring.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/fusion/poison
{    
        

	surfaceparm nodamage
	q3map_lightimage textures/fusion/poison1_glow.tga	
	//q3map_surfacelight 200
	qer_editorimage textures/fusion/poison1.tga
	
	{
		map textures/fusion/poison1.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/fusion/poison1_glow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

}

